---
document: modulemd
version: 2
data:
  name: perl-libwww-perl
  stream: "6.34"
  version: 8060020220422081956
  context: fbe42456
  arch: x86_64
  summary: A Perl interface to the World-Wide Web
  description: >
    The libwww-perl collection is a set of Perl modules which provide a simple and
    consistent application programming interface to the World-Wide Web. The main focus
    of the library is to provide classes and functions that enable you to write WWW
    clients. The library also contains modules that are of more general use and even
    classes that help you implement simple HTTP servers. LWP::Protocol::https adds
    a support for an HTTPS protocol.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8]
    requires:
      perl: [5.26]
      perl-IO-Socket-SSL: [2.066]
      platform: [el8]
  references:
    community: https://metacpan.org/release/libwww-perl
  profiles:
    common:
      description: LWP with HTTPS support
      rpms:
      - perl-LWP-Protocol-https
      - perl-libwww-perl
  api:
    rpms:
    - perl-LWP-Protocol-https
    - perl-libwww-perl
  filter:
    rpms:
    - perl-Digest-SHA1
    - perl-HTTP-Daemon
    - perl-Test-Fatal
    - perl-Test-Pod
    - perl-Test-RequiresInternet
  buildopts:
    rpms:
      macros: >
        %_without_perl_HTML_Tagset_enables_optional_test 1

        %_without_perl_Test_Fatal_enables_extra_test 1

        %_without_perl_Test_Fatal_enables_optional_test 1
  components:
    rpms:
      perl-Data-Dump:
        rationale: A run-time depenedency.
        ref: e452a336c0b22acef82874b72839555897f6917b
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Digest-HMAC:
        rationale: A run-time dependency.
        ref: c8d5aebf6851569e2e93457ed1d5ce458e438deb
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Digest-SHA1:
        rationale: A build dependency.
        ref: f0acb47620a0813700a475cd4104c3f7b9a97700
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Encode-Locale:
        rationale: A run-time dependency.
        ref: 6af0f0ccc4c427c14f2a128d38e173b51e221627
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-File-Listing:
        rationale: A run-time dependency.
        ref: 0174900dcc7bd25b7c8e625e874be099825b6f02
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTML-Parser:
        rationale: A run-time dependency.
        ref: 4bc523bf0edcbf59413a71d52f9dfa8f97573858
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTML-Tagset:
        rationale: A run-time dependency.
        ref: 1cc74f4f689081b9c489584bb52518748705bcaf
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Cookies:
        rationale: A run-time dependency.
        ref: 604be44e0634a773f59efe70f4ef4a2f7f09bd0d
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Daemon:
        rationale: A build dependency.
        ref: bbe4064ede1d2817f6bd209b66c2f51f0c3997b7
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Date:
        rationale: A run-time dependency.
        ref: 0598076784fe5ca4787b3ed9ff6d57806049a053
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Message:
        rationale: A run-time dependency.
        ref: f270bdd4e2fe5ddd12b83ed3a5fcfa2eeaae175f
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-HTTP-Negotiate:
        rationale: A run-time dependency.
        ref: 66c77b5a64c3d074a2faaed6fec64a411a97a63e
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-IO-HTML:
        rationale: A run-time dependency.
        ref: 2b02bfa558eed32c81a8b51107f65e4e427f911e
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-LWP-MediaTypes:
        rationale: A run-time dependency.
        ref: a998ae23bea3ca2dd1961d4274f16f6779769b50
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-LWP-Protocol-https:
        rationale: The API.
        ref: 5ccb1467579cba9d1ed2515aa40dcbd852e74b82
        buildorder: 4
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Mozilla-CA:
        rationale: A run-time dependency.
        ref: 9aaa763568395601e0df5c4ed8e8836a09f71538
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-NTLM:
        rationale: A run-time dependency.
        ref: b7cdb46a2f781aa169f2a45bef617e80d360c351
        buildorder: 2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Net-HTTP:
        rationale: A run-time dependency.
        ref: 38447f31fd6b9417fb0aca21bb970a0ab6ab6249
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-Fatal:
        rationale: A build dependency.
        ref: d62569af1f1ecb5a6745b014f5b549c2f5ba8798
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-Pod:
        rationale: A build dependency.
        ref: d31f2a7757a8b42b03f63ba38ec1dfabdf62ba44
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-RequiresInternet:
        rationale: A build dependency.
        ref: 453e921846c11ee8cc69cdc728ee3fcc3eebc728
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-TimeDate:
        rationale: A run-time dependency.
        ref: c61a9073fe1b03d267100ee84c2673c3fd57bca6
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Try-Tiny:
        rationale: A run-time dependency.
        ref: 0c4489a39ce3af0157dda10a4da7c179d7df16e2
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-WWW-RobotRules:
        rationale: A run-time dependency.
        ref: e43660f0cbdb7dcbd97e56f46765350e0810f15c
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-libwww-perl:
        rationale: The API.
        ref: 3dc4c6dd73e41896a276884b5e4ad8f9db66f73b
        buildorder: 3
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - perl-Data-Dump-0:1.23-7.module_el8.5.0+2812+ed912d05.noarch
    - perl-Data-Dump-0:1.23-7.module_el8.5.0+2812+ed912d05.src
    - perl-Digest-HMAC-0:1.03-17.module_el8.5.0+2812+ed912d05.noarch
    - perl-Digest-HMAC-0:1.03-17.module_el8.5.0+2812+ed912d05.src
    - perl-Encode-Locale-0:1.05-10.module_el8.5.0+2812+ed912d05.noarch
    - perl-Encode-Locale-0:1.05-10.module_el8.5.0+2812+ed912d05.src
    - perl-File-Listing-0:6.04-17.module_el8.5.0+2812+ed912d05.noarch
    - perl-File-Listing-0:6.04-17.module_el8.5.0+2812+ed912d05.src
    - perl-HTML-Parser-0:3.72-15.module_el8.5.0+2812+ed912d05.src
    - perl-HTML-Parser-0:3.72-15.module_el8.5.0+2812+ed912d05.x86_64
    - perl-HTML-Parser-debuginfo-0:3.72-15.module_el8.5.0+2812+ed912d05.x86_64
    - perl-HTML-Parser-debugsource-0:3.72-15.module_el8.5.0+2812+ed912d05.x86_64
    - perl-HTML-Tagset-0:3.20-34.module_el8.5.0+2812+ed912d05.noarch
    - perl-HTML-Tagset-0:3.20-34.module_el8.5.0+2812+ed912d05.src
    - perl-HTTP-Cookies-0:6.04-2.module_el8.5.0+2812+ed912d05.noarch
    - perl-HTTP-Cookies-0:6.04-2.module_el8.5.0+2812+ed912d05.src
    - perl-HTTP-Date-0:6.02-19.module_el8.5.0+2812+ed912d05.noarch
    - perl-HTTP-Date-0:6.02-19.module_el8.5.0+2812+ed912d05.src
    - perl-HTTP-Message-0:6.18-1.module_el8.5.0+2812+ed912d05.noarch
    - perl-HTTP-Message-0:6.18-1.module_el8.5.0+2812+ed912d05.src
    - perl-HTTP-Negotiate-0:6.01-19.module_el8.5.0+2812+ed912d05.noarch
    - perl-HTTP-Negotiate-0:6.01-19.module_el8.5.0+2812+ed912d05.src
    - perl-IO-HTML-0:1.001-11.module_el8.5.0+2812+ed912d05.noarch
    - perl-IO-HTML-0:1.001-11.module_el8.5.0+2812+ed912d05.src
    - perl-LWP-MediaTypes-0:6.02-15.module_el8.5.0+2812+ed912d05.noarch
    - perl-LWP-MediaTypes-0:6.02-15.module_el8.5.0+2812+ed912d05.src
    - perl-LWP-Protocol-https-0:6.07-4.module_el8.5.0+2812+ed912d05.noarch
    - perl-LWP-Protocol-https-0:6.07-4.module_el8.5.0+2812+ed912d05.src
    - perl-Mozilla-CA-0:20160104-7.module_el8.5.0+2812+ed912d05.noarch
    - perl-Mozilla-CA-0:20160104-7.module_el8.5.0+2812+ed912d05.src
    - perl-NTLM-0:1.09-17.module_el8.5.0+2812+ed912d05.noarch
    - perl-NTLM-0:1.09-17.module_el8.5.0+2812+ed912d05.src
    - perl-Net-HTTP-0:6.17-2.module_el8.5.0+2812+ed912d05.noarch
    - perl-Net-HTTP-0:6.17-2.module_el8.5.0+2812+ed912d05.src
    - perl-TimeDate-1:2.30-15.module_el8.5.0+2812+ed912d05.noarch
    - perl-TimeDate-1:2.30-15.module_el8.5.0+2812+ed912d05.src
    - perl-Try-Tiny-0:0.30-7.module_el8.5.0+2812+ed912d05.noarch
    - perl-Try-Tiny-0:0.30-7.module_el8.5.0+2812+ed912d05.src
    - perl-WWW-RobotRules-0:6.02-18.module_el8.5.0+2812+ed912d05.noarch
    - perl-WWW-RobotRules-0:6.02-18.module_el8.5.0+2812+ed912d05.src
    - perl-libwww-perl-0:6.34-1.module_el8.5.0+2812+ed912d05.noarch
    - perl-libwww-perl-0:6.34-1.module_el8.5.0+2812+ed912d05.src
...
